﻿
/* DESKTOP-ONLY: Show dropdowns on hover */
/*@media (min-width: 992px) {
    
    .navbar .nav-item.dropdown:hover > .dropdown-menu {
        display: block;
        margin-top: 0;
    }

    .dropend:hover > .dropdown-menu {
        display: block;
    }
}*/

.dropend {
    position: relative;
}

.dropend .dropdown-menu {
    display: none;
    position: absolute;
    top: 0;
    left: 100%;
    margin-top: -6px;
    margin-left: .125rem;
}

.dropend > .dropdown-menu.show {
    display: block;
}

.dropend > .dropdown-toggle::after {
    display: inline-block;
    margin-left: .255em;
    vertical-align: .255em;
    content: "";
    border-top: .3em solid transparent;
    border-right: 0;
    border-bottom: .3em solid transparent;
    border-left: .3em solid;
}


/* MOBILE-ONLY */
@media (max-width: 991.98px) {

    .navbar-nav .dropend .dropdown-menu {
        position: static;
        width: 100%;
        border: 0;
        box-shadow: none;
    }

    .navbar-nav .dropend .dropdown-toggle::after {
        display: none;
    }

    .navbar-nav .nav-link.nav-highlight {
        width: fit-content;
    }

}


.nav-item .dropdown-toggle,
.dropdown-menu .dropend > .dropdown-toggle {
    touch-action: manipulation;
}


.nav-highlight {
    background-color: #007bff;
    color: #fff !important;
    border: 1px solid #007bff;
    transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out, border-color 0.2s ease-in-out;
    padding-top: 0.3rem;
    padding-bottom: 0.3rem;
}

.nav-highlight:hover {
    background-color: #fff;
    color: #007bff !important;
    border-color: #007bff;
}
